matrix:
  platform: [ "debian11", "ubuntu2204", "ubuntu2404", "macos", "macos_arm64" ]
  bazel: [ "6.x", "7.x", "8.x" ]

tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags: [ "--cxxopt=-std=c++20", "--host_cxxopt=-std=c++20" ]
    build_targets:
      - "@bant//bant:bant"

bcr_test_module:
  module_path: "."

  matrix:
    platform: ["ubuntu2204", "macos", "macos_arm64"]
    bazel: ["7.x"]

  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      test_flags: [ "--cxxopt=-std=c++20", "--host_cxxopt=-std=c++20" ]
      test_targets:
        - "//..."
